package com.infragistics;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.TimeZone;

public class PersonInfo {

	private boolean selected = false;
	private String firstName = null;
	private String lastName = null;
	private String email = null;
	private String phoneNumber = null;
	private Date dttime = null;

	
    public PersonInfo(boolean selected, String firstName, String lastName, String email, String phoneNumber){
    	this.selected = selected;
    	this.firstName = firstName;
    	this.lastName = lastName;
    	this.email = email;
    	this.phoneNumber = phoneNumber;
    }
    
    public PersonInfo(String firstName, String lastName, String dttim, String email, String phoneNumber)throws Exception{
    	try{
    	DateFormat dfm = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    	dfm.setTimeZone(TimeZone.getTimeZone("EST"));
    	this.firstName = firstName;
    	this.lastName = lastName;
    	this.dttime = dfm.parse(dttim);
    	this.email = email;
    	this.phoneNumber = phoneNumber;
    	}catch(Exception e){
    		System.out.println("Exception during parsing dateformat");
    	}
    }
    
	public boolean isSelected() {
		return selected;
	}
	public void setSelected(boolean selected) {
		this.selected = selected;
	}
	public String getFirstName() {
		return firstName;
	}
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	public String getLastName() {
		return lastName;
	}
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getPhoneNumber() {
		return phoneNumber;
	}
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}
	
	public static ColumnMetaData[] getMetaData() {		
			ColumnMetaData[] columns = {
				new ColumnMetaData("selected", "Selected", Boolean.class),
				new ColumnMetaData("firstName", "FirstName", String.class),
				new ColumnMetaData("lastName", "LastName", String.class),
				new ColumnMetaData("phoneNumber", "Phone Number", String.class),
				new ColumnMetaData("email", "Email Address", String.class), 
		};
		return columns;		
	}

	public boolean getRendered(){
		boolean boo = ((2 % 3) == 0) ? true : false;
		System.out.println("boo value: " + 2%3 + " :  " + boo);
		return boo;
	}

	public Date getDttime() {
		return dttime;
	}

	public void setDttime(Date dttime) {
		this.dttime = dttime;
	}
	

}
